# 代码块引用块选择器

## 基本使用

### 消除块（代码/引用）

[Xquote]
> 引用行1
> 引用行2

[Xcode(true)]
```js
var str = "Hello World"
console.log(str)
```


### 增添块（代码/引用）

这里借助了“范围选择器”，详见下一节

{[code]
ad-quote
It is a good plugin
}.

{[quote]
[!note]
行1
行2
}.


### 转化块

块的转化有时也有大用，例如：
- 借用md格式
	- 像 Any-Block 就内置了很多这种功能，例如列表转化为其他树类格式。
	  在[设计理念](4.%20设计理念.md)中，也演示过没有callout语法的环境下，如何将引用块转Ad代码块
- 借用代码格式
	- 反过来也行，例如mermaid是没有提供代码高亮功能的，写起来比较痛苦。
	- 但在这里我们可以借助js的**高亮**来写mermaid代码，然后渲染回mermaid格式

块的转化是非常灵活的，基于复合处理器，可以有很多种不同的写法：
比较笨拙的写法：

[Xcode(true)]
```js
> 行1
> 行2
```

[Xquote]
> ```js
> console.log("Hello World")
> ```

更好的写法：
（code2quote其实就相当于Xcode(true)|quote）
（quote2code(js)其实就相当于Xquote|code(js)）

[code2quote]
```js
行1
行2
```

[quote2code(js)]
> console.log("Hello World")

其中，如果要转化为callout语法的引用块的话，这里有个语法糖：用感叹号快捷表示，就不用像上一项那样写两行了

{[!info]
ad-quote

dfsfs

dfsfsdafa
}.

## 一些比较有用的建议

有时代码块/引用块的内容会比较长，折叠起来可能会比较方便

hide/fold 快捷指令，代码块默认折叠/可折叠

[hide]
```js
console.log("Hello World")
```

